Subject: Re: [AVT] alignment of layers issue

From: "Ingemar Johansson S" <[email-masked]>
Date: Fri, 21 Nov 2008 17:40:54 +0100

Hi

Agree with Roni (and Thomas in his later email). This whole discussion
is NOT about "use RTCP or not". 
The "use RTCP or not" discussion took place some 2-3 years ago (I was
personally one of the persons who wanted to ditch RTCP). 
Things have however changed substantially since then and I believe that
most people who care about RTP realize that RTCP is an essential part of
the package. For instance in 3GPP TS 26.114 RTCP is used for application
adaptation purposes. 

Regards
/Ingemar    

> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Thu, 20 Nov 2008 23:45:10 +0200
> From: "Roni Even" <[email-masked]>
> Subject: Re: [AVT] alignment of layers issue
> To: "'Ross Finlayson'" <[email-masked]>,	<[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain;	charset="us-ascii"
> 
> Ross,
> I want to believe that this is not the case. At least for 
> video codec you need RTCP for other reasons as defined in 
> RTCP feedback and the extensions in the ccm draft.
> Roni Even
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Ross Finlayson
> Sent: Wednesday, November 19, 2008 1:56 AM
> To: [email-masked]
> Subject: Re: [AVT] alignment of layers issue
> 
> At 2:53 PM -0600 11/18/08, Magnus Westerlund wrote:
> >  > Anyway, let us assume for the time being, we can make this work 
> > with a
> >>  relatively complex implementation in the sender as well as in the
> receiver.
> >>
> >
> >This is not complex, it is standard RTCP that you anyway need to 
> >implement
> 
> It seems to me that there's "an elephant in the room" here.  
> I can't help but feel that many (though not all) of the 
> people who are opposing adopting the standard RTCP SR-based 
> solution are really doing so because they don't want to 
> implement RTCP.  I.e., they want to get away with 
> implementing only a restricted version of RTP that works just 
> for one particular layered video codec (and perhaps also one 
> particular audio codec for which they would also align 
> timestamps), without RTCP at all.
> 
> If this is really true, then it would be useful if people 
> would come clean about this, so that we can address, or put 
> to rest, whatever fears/concerns they may have about 
> implementing RTCP.
> 
> 	Ross.
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
> 
> 
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt